## org.exist.storage.test
Class CopyResourceTest

    java.lang.Object
      junit.framework.Assert
          junit.framework.TestCase
              org.exist.storage.test.CopyResourceTest

All Implemented Interfaces:
  junit.framework.Test

public class CopyResourceTest
extends junit.framework.TestCase

Author:
  wolf

Constructor Summary
`CopyResourceTest()`

Method Summary
`static void` `main(java.lang.String[] args)`
`void` `testRead()`
`void` `testReadAborted()`
`void` `testStore()`
`void` `testStoreAborted()`

Methods inherited from class junit.framework.TestCase
`countTestCases, getName, run, run, runBare, setName, toString`

Methods inherited from class junit.framework.Assert

`assertEquals, assertEquals, assertEquals, assertEquals, assertEquals, assertEquals, assertEquals, assertEquals, assertEquals, assertEquals, assertEquals, assertEquals, assertEquals, assertEquals, assertEquals, assertEquals, assertEquals, assertEquals, assertEquals, assertEquals, assertFalse, assertFalse, assertNotNull, assertNotNull, assertNotSame, assertNotSame, assertNull, assertNull, assertSame, assertSame, assertTrue, assertTrue, fail, fail, failNotEquals, failNotSame, failSame`

Methods inherited from class java.lang.Object
`equals, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Constructor Detail

### CopyResourceTest

    public CopyResourceTest()

Method Detail

### main

    public static void main(java.lang.String[] args)

### testStore

    public void testStore()

### testRead

    public void testRead()

### testStoreAborted

    public void testStoreAborted()

### testReadAborted

    public void testReadAborted()

Copyright (C) Wolfgang Meier. All rights reserved.